Bug 565326 - udev doesn't recognize usb 3G modem
udev doesn't recognize usb 3G modem
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
12
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-14 14:17 EST by Kuznetsov Vyacheslav
Modified: 2010-03-19 08:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-19 08:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kuznetsov Vyacheslav 2010-02-14 14:17:32 EST
Description of problem:
The system doesn't recognize the Huawei 3G modem after upgrade from udev-145-14.fc12 to udev-145-15.fc12.

Version-Release number of selected component (if applicable):
udev-145-15.fc12

How reproducible:


Steps to Reproduce:
1. Insert the Huawei 3G modem
2. ls /dev/ttyUSB* to check the new devices.
  
Actual results:
There is no /dev/ttyUSB* devices.

Expected results:
/dev/ttyUSB* should become availiable.

Additional info:
Here the output of lsusb with latest package version and version before latest.

With udev-145-14.fc12 installed:
% lsusb
Bus 001 Device 002: ID 04f2:b071 Chicony Electronics Co., Ltd 2.0M UVC WebCam / CNF7129
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 004: ID 12d1:1003 Huawei Technologies Co., Ltd. E220 HSDPA Modem / E270 HSDPA/HSUPA Modem
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

With udev-145-15.fc12 installed:
% lsusb
Bus 001 Device 002: ID 04f2:b071 Chicony Electronics Co., Ltd 2.0M UVC WebCam / CNF7129
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 12d1:1446 Huawei Technologies Co., Ltd.
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

% dmesg| grep HUAWEI
usb 2-4: Product: HUAWEI Mobile
usb 2-4: Manufacturer: HUAWEI Technology
scsi 8:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
scsi 9:0:0:0: Direct-Access     HUAWEI   MMC Storage      2.31 PQ: 0 ANSI: 2
Comment 1 Harald Hoyer 2010-03-17 12:34:41 EDT
please try "usb_modeswitch"
Comment 2 Kuznetsov Vyacheslav 2010-03-19 08:35:48 EDT
Thank you, Harald. Usb_modeswitch fixes the issue.

Note You need to log in before you can comment on or make changes to this bug.